Bug 497127 - NPBootstrap Errors Starting Service on Fedora 10
NPBootstrap Errors Starting Service on Fedora 10
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-04-22 09:32 EDT by Devan Goodwin
Modified: 2012-03-06 04:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 09:07:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-04-22 09:32:01 EDT
Description of problem:

Errors starting the NPBootstrap service

Version-Release number of selected component (if applicable):

Running Fedora 10 against Spacewalk 0.6 devel repo. Not sure exactly what package versions would be interesting but if any info is missed just ask and I'll post:

SatConfig-bootstrap-server-1.13.3-1.fc10.noarch
SatConfig-bootstrap-1.11.2-1.fc10.noarch

How reproducible:

Seems 100%.

Steps to Reproduce:
1. rhn-satellite restart
2.
3.
  
Actual results:

Starting Monitoring ...  Starting InstallSoftwareConfig ...  [ OK ]
Starting GenerateNotifConfig ...  [ OK ]
Starting NotifEscalator ...  [ OK ]
Starting NotifLauncher ...  [ OK ]
Starting Notifier ...  [ OK ]
Starting AckProcessor ...  [ OK ]
Starting TSDBLocalQueue ...  [ OK ]
[ OK ]
Starting MonitoringScout ...  [ FAIL ]
Starting NPBootstrap ...  2009-04-22 10:27:39 NPBootstrap: 	!! ERROR FROM SHELL COMMAND: 
2009-04-22 10:27:39 NPBootstrap: 	!! STDOUT: Requesting https://fedorasw.dangerouslyinc.com/satconfig/cgi-bin/fetch_netsaintid.cgi?ssk=6784edc5b43c&publickey=ssh-dss%20AAAAB3NzaC1kc3MAAACBAJBjKMlqZWjEJEKK3HebSSSCgnye7B0rrFXf0zKVe8PFX6RUhjHVOPzp5L1no%2BKeVlsTO24qfWBPuzw1Gqt7jJjZ7Pyl1aHnAoInVkhJT15%2F4Ae8xgABlEwB5WDICjNfY7piXRgpLpC2hs%2Bjuo%2FHtCDe8smlRqQ9Cnn%2FK1ntGzt%2FAAAAFQD7L3%2FFaYCeqp0nZURxfT9WFyz3swAAAIEAgCtyMB5AaRboNLFOJEe2kwNbm68d51LS0LlA%2Fc2SLdBrqyTN8VSvwndnyv4sJ92hkT0roDeDieD8iLnhFoIcTLJTzVfiq8tF7BCWAa%2BupOeEmUvn0BPBLVlk%2FKThQSzRFoBVmYck7Yu0%2BBXNcydqeLOFhxL6PBJ5Lk%2FALkHmuLQAAACAPxum7CWHE5RXPhuREbhFTCoqOyKkmY6x40ny7TvCFRP6uJE3duP9dFe8HyoaHXIHyANSs7BUTmWrwNgyIsNQhhdqy%2BJ1e1ntUE6%2Bv2%2FyeyNfOA1pmy6giDkf1VxlyTfxI0F5%2BTicrfSkS%2BuTDld4QWX5olsl7WB79VFhw%2F0gbVo%3D%20nocpulse%40fedorasw%2Edangerouslyinc%2Ecom%0A
Cluster ID is 6784edc5b43c
Node ID is 2
Customer ID is 1
Description is RHN Monitoring Satellite
IP is 

2009-04-22 10:27:39 NPBootstrap: 	!! STDERR: Use of uninitialized value in string eq at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value in string eq at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value $_[0] in string ne at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value $reportClass in concatenation (.) or string at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
: input and output filename are identical at /usr/bin/npBootstrap.pl line 99

2009-04-22 10:27:39 NPBootstrap: 	!! EXIT: 2304
[ FAIL ]
2009-04-22 10:27:39 NPBootstrap: WARNING: STARTED BUT *NOT* RUNNING
2009-04-22 10:27:39 NPBootstrap: ERRORS ENCOUNTERED DURING LAST ACTION:
2009-04-22 10:27:39 NPBootstrap: 	!! ERROR FROM SHELL COMMAND: 
2009-04-22 10:27:39 NPBootstrap: 	!! STDOUT: Requesting https://fedorasw.dangerouslyinc.com/satconfig/cgi-bin/fetch_netsaintid.cgi?ssk=6784edc5b43c&publickey=ssh-dss%20AAAAB3NzaC1kc3MAAACBAJBjKMlqZWjEJEKK3HebSSSCgnye7B0rrFXf0zKVe8PFX6RUhjHVOPzp5L1no%2BKeVlsTO24qfWBPuzw1Gqt7jJjZ7Pyl1aHnAoInVkhJT15%2F4Ae8xgABlEwB5WDICjNfY7piXRgpLpC2hs%2Bjuo%2FHtCDe8smlRqQ9Cnn%2FK1ntGzt%2FAAAAFQD7L3%2FFaYCeqp0nZURxfT9WFyz3swAAAIEAgCtyMB5AaRboNLFOJEe2kwNbm68d51LS0LlA%2Fc2SLdBrqyTN8VSvwndnyv4sJ92hkT0roDeDieD8iLnhFoIcTLJTzVfiq8tF7BCWAa%2BupOeEmUvn0BPBLVlk%2FKThQSzRFoBVmYck7Yu0%2BBXNcydqeLOFhxL6PBJ5Lk%2FALkHmuLQAAACAPxum7CWHE5RXPhuREbhFTCoqOyKkmY6x40ny7TvCFRP6uJE3duP9dFe8HyoaHXIHyANSs7BUTmWrwNgyIsNQhhdqy%2BJ1e1ntUE6%2Bv2%2FyeyNfOA1pmy6giDkf1VxlyTfxI0F5%2BTicrfSkS%2BuTDld4QWX5olsl7WB79VFhw%2F0gbVo%3D%20nocpulse%40fedorasw%2Edangerouslyinc%2Ecom%0A
Cluster ID is 6784edc5b43c
Node ID is 2
Customer ID is 1
Description is RHN Monitoring Satellite
IP is 

2009-04-22 10:27:39 NPBootstrap: 	!! STDERR: Use of uninitialized value in string eq at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value in string eq at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value $_[0] in string ne at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
Use of uninitialized value $reportClass in concatenation (.) or string at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/IO/Compress/Base/Common.pm line 262, <FILE> line 1.
: input and output filename are identical at /usr/bin/npBootstrap.pl line 99

2009-04-22 10:27:39 NPBootstrap: 	!! EXIT: 2304
Starting SputLite ...  [ OK ]
Starting Dequeuer ...  [ OK ]
Starting Dispatcher ...  [ OK ]


Additional info:

In my environment this system does not have a DNS resolvable hostname, not sure if that's a factor but if so let me know.
Comment 1 Miroslav Suchý 2009-07-23 05:44:47 EDT
Well you must be able to get IP from your hostname. 
There was done some work on access module and I suppose it should work now. Can you try it with current nightly build? Does it happen again?
Comment 2 Devan Goodwin 2009-07-23 08:06:47 EDT
Looks ok now, spacewalk restarts without incident.

Note You need to log in before you can comment on or make changes to this bug.